// pages/order/index.js
let app =  getApp();

  
Page({
  /**
   * 页面的初始数据
   */
  data: {
    tabs: [
      { title: "全部", name: "all" },
      { title: "待付款", name: "0" },
      { title: "待收货", name: "1" },
      { title: "退款/售后", name: "-1" },
    ],
    list: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.init();
  },
  init() {
    const arr = [];
    const getStatus = (i) => {
      let e = i % 3;
      if (e === 2) return "-1";
      else return e;
    };
    for (let i = 0; i < 10; i++) {
      const obj = {
        time: "2021-07-08 12:00",
        money: "30.25",
        status: getStatus(i),
      };
      const goods = [
        {
          url: "https://img.yzcdn.cn/vant/cat.jpeg",
          name: `商品${i + 1}`,
        },
        {
          url: "https://img.yzcdn.cn/vant/cat.jpeg",
          name: `商品${i + 1}-1`,
        },
      ];
      obj.goods = goods;
      arr.push(obj);
    }
    this.setData({ list: arr });
  },
  changeTab(event){
    console.log(event);
  }
});
